org.eclipse.gef.zest.fx.ui.parts

## Class ZestFxUiView

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.ui.part.WorkbenchPart
    - - org.eclipse.ui.part.ViewPart
      - - org.eclipse.gef.mvc.fx.ui.parts.AbstractFXView
        - - org.eclipse.gef.zest.fx.ui.parts.ZestFxUiView

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.ui.IPersistable, org.eclipse.ui.IViewPart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

    public class ZestFxUiView
    extends AbstractFXView

The `ZestFxUiView` is an extension to the `AbstractFXView`. It creates an `Injector` based on the `ZestFxModule` and `ZestFxUiModule` by default. Other than that, it provides a `method` to change the `Graph` that is displayed.

### Field Summary

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Constructor Summary

Constructors
Constructor and Description
`ZestFxUiView()` Constructs a new `ZestFxUiView`.
`ZestFxUiView(Injector injector)` Constructs a new `ZestFxUiView`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setGraph(Graph graph)` Changes the contents of the `AbstractFXView.getContentViewer()` to the given `Graph`.

### Methods inherited from class org.eclipse.gef.mvc.fx.ui.parts.AbstractFXView

`activate, createActions, createPartControl, deactivate, dispose, disposeActions, getAdapter, getCanvas, getContentViewer, getDomain, getFitToViewportActionGroup, hookViewers, init, setFocus, unhookViewers`

### Methods inherited from class org.eclipse.ui.part.ViewPart

`checkSite, getViewSite, init, saveState, setContentDescription, setInitializationData, setPartName`

### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, firePartPropertyChanged, firePropertyChange, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

### Constructor Detail

#### ZestFxUiView

    public ZestFxUiView()

Constructs a new `ZestFxUiView`. Uses an `Injector` that is created from the `ZestFxModule` and `ZestFxUiModule` to inject its members.

#### ZestFxUiView

    public ZestFxUiView(Injector injector)

Constructs a new `ZestFxUiView`. Uses the given `Injector` to inject its members.

Parameters:
  `injector` - The `Injector` that is used to inject the members of this `ZestFxUiView`.

### Method Detail

#### setGraph

    public void setGraph(Graph graph)

Changes the contents of the `AbstractFXView.getContentViewer()` to the given `Graph`. The contents are changed by changing the `IViewer.contentsProperty()`.

Parameters:
  `graph` - The new contents for the viewer.